package com.adealink.weparty.share.qrcode.page.special.viewmodel

import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.frame.mvvm.viewmodel.BaseViewModel

enum class SpecialQRCodePage(val page: Int) {
    STEP_1(1),
    STEP_2(2)
}

class SpecialQRCodeViewModel : BaseViewModel() {

    val pageLD = ExtMutableLiveData<SpecialQRCodePage>()
    fun showPage(page: SpecialQRCodePage) {
        pageLD.send(page)
    }


    val orderNumberLD = ExtMutableLiveData<Int>()
    fun setOrderNumber(number: Int) {
        orderNumberLD.send(number)
    }
}